Documentation Index
Fetch the complete documentation index at: https://docs.peere.network/llms.txt
Use this file to discover all available pages before exploring further.
Find Customer Schemas
API endpoints for helping merchants discover customers on their behalf.
Endpoints
| Method | Endpoint | Description |
|---|
| GET | /v1/customer/banks | Find banks associated with customer email |
| POST | /v1/customer/device/lookup | Identify customer through device fingerprinting |
GET /v1/customer/banks
Find which banks a customer is associated with using their email address on behalf of a merchant.
Query Parameters
| Parameter | Type | Required | Description |
|---|
email | string | Yes | Customer email address |
entityId | string | Yes | Merchant entity ID |
Response Schema
{
"statusCode": 200,
"success": true,
"message": "Customer banks retrieved successfully",
"data": {
"banks": [
{
"bankId": "string",
"bankName": "string",
"accountName": "string",
"phrase": "string",
"customerName": "string"
}
]
}
}
Response Fields
| Field | Type | Description |
|---|
bankId | string | Unique bank identifier |
bankName | string | Bank name |
accountName | string | Masked account identifier |
phrase | string | Lookup phrase for transactions |
customerName | string | Obfuscated customer name |
POST /v1/customer/device/lookup
Identify customers through device fingerprinting on behalf of a merchant.
Request Body
{
"deviceId": "string",
"entityId": "string"
}
Request Schema
| Field | Type | Required | Description |
|---|
deviceId | string | Yes | Device identifier for lookup |
entityId | string | Yes | Merchant entity ID |
Response Schema
{
"statusCode": 200,
"success": true,
"message": "Device lookup successful",
"data": {
"bankId": "string",
"bankName": "string",
"accountName": "string",
"phrase": "string",
"customerName": "string"
}
}
Response Fields
| Field | Type | Description |
|---|
bankId | string | Associated bank identifier |
bankName | string | Bank name |
accountName | string | Masked account information |
phrase | string | Lookup phrase for billing |
customerName | string | Privacy protected customer name |
Error Responses
400 Bad Request
{
"statusCode": 400,
"success": false,
"message": "Invalid email format"
}
403 Forbidden
{
"statusCode": 403,
"success": false,
"message": "Merchant not authorized for device lookup"
}
404 Not Found
{
"statusCode": 404,
"success": false,
"message": "Device not found in system"
}